extends Node

@export_file("*.tscn") var scene_path: String = ""
@export var music: AudioStream = null


func _ready() -> void:
	Music.load_stream(music)
	Music.play()


func switch_scene() -> void:
	get_tree().change_scene_to_file(scene_path)
